> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get history entries for a specific visit (legacy)

> Get history entries for a specific visit (legacy)



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/visit_history/get/{visitDetailId}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/visit_history/get/{visitDetailId}:
    get:
      tags:
        - Visit History
      summary: Get history entries for a specific visit (legacy)
      description: Get history entries for a specific visit (legacy)
      operationId: VisitHistoryController_findByVisitLegacy
      parameters:
        - name: visitDetailId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: List of history entries for the visit
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VisitHistoryResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    VisitHistoryResponseDto:
      type: object
      properties:
        id:
          type: string
          description: History entry ID
        visit_detail_id:
          type: string
          description: Visit detail ID
        action:
          type: string
          description: Action performed
        change:
          type: object
          description: Change details
        datetime:
          format: date-time
          type: string
          description: Datetime of action
        user_id:
          type: object
          description: User ID who made the change
        user_name:
          type: object
          description: User name who made the change
        user_email:
          type: object
          description: User email who made the change
        entity_names_old:
          type: object
          description: >-
            Resolved entity names for old values (e.g. { technician_id: "Juan
            Pérez" })
        entity_names_new:
          type: object
          description: >-
            Resolved entity names for new values (e.g. { technician_id: "Pedro
            González" })
      required:
        - id
        - visit_detail_id
        - action
        - datetime
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````